﻿using System.Collections.Generic;
using System.Linq;

namespace NMag.Core
{
    public static class UnitHelper
    {
        public static List<ReservoirUnit> GetReservoirs(List<Unit> units)
        {
            return units.OfType<ReservoirUnit>().ToList();
        }

        public static List<PowerPlantUnit> GetPowerPlants(List<Unit> units)
        {
            return units.OfType<PowerPlantUnit>().ToList();
        }

        public static List<TransferUnit> GetTransfers(List<Unit> units)
        {
            return units.OfType<TransferUnit>().ToList();
        }

        public static List<ControlPointUnit> GetControlPoints(List<Unit> units)
        {
            return units.OfType<ControlPointUnit>().ToList();
        }
    }
}
