﻿using System.Windows.Controls;
using System.Windows.Media;

namespace NMag.UI.CustomControls
{
    public class AutoScrollListBox : ListBox
    {
        protected override void OnSelectionChanged(SelectionChangedEventArgs e)
        {
            base.OnSelectionChanged(e);

            ((ScrollViewer)VisualTreeHelper
                .GetChild((Border)VisualTreeHelper
                .GetChild(this, 0), 0))
                .ScrollToBottom();
        }
    }
}
