﻿using NMag.Core;
using System;
using System.Windows;

namespace NMag.UI.Windows
{
    /// <summary>
    /// Interaction logic for HydrologySelectionWindow.xaml
    /// </summary>
    public partial class HydrologySelectionWindow : Window
    {
        public HydrologySelectionWindow(Module module, Action updateAction)
        {
            InitializeComponent();

            HydrologySelectionViewModel dataContext = new HydrologySelectionViewModel((s, e) => Close(), module, updateAction);
            DataContext = dataContext;
        }
    }
}
