﻿namespace NMag.Core
{
    public class Point
    {
        public Point()
        {

        }

        public Point(double x, double y)
        {
            X = x;
            Y = y;
        }

        public double X { get; set; }
        public double Y { get; set; }
        public double[] Values
        {
            get
            {
                return new double[] { X, Y };
            }
        }

        public Point Add(Point point)
        {
            return new Point(X + point.X, Y + point.Y);
        }

        public Point Substract(Point point)
        {
            return new Point(X - point.X, Y - point.Y);
        }

        public Point Clone()
        {
            return new Point(X, Y);
        }
    }
}
