﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Shapes;

namespace NMag.UI.FlowDiagram
{
    public class ModuleControl
    {
        public ModuleControl(string name, Point position, List<ShapeBase> shapes, List<Label> labels, List<Line> connections)
        {
            Name = name;
            Position = position;

            Shapes = shapes;
            Labels = labels;
            Connections = connections;
        }

        public string Name { get; private set; }
        public Point Position { get; private set; }

        public List<ShapeBase> Shapes { get; private set; }
        public List<Label> Labels { get; private set; }
        public List<Line> Connections { get; private set; }
    }
}
