﻿using NMag.Core.Utilization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NMag.UI.Miscellaneous
{
    public static class PropertySetter
    {
        public static void SetProperty(string text, ref double property)
        {
            if(text.IsValidNumber())
            {
                if (double.TryParse(text, out double value))
                {
                    property = value;
                }
            }
        }
    }
}
