﻿using NMag.UI.CustomControls;
using System;
using System.Windows;

namespace NMag.UI.Windows
{
    /// <summary>
    /// Interaction logic for DataWindow.xaml
    /// </summary>
    public partial class DataViewerWindow : Window
    {
        public DataViewerWindow(SeriesData seriesData, Action updateAction)
        {
            InitializeComponent();
            DataContext = new DataViewerViewModel((s, e) => Close(), seriesData, updateAction);
            Closing += ((DataViewerViewModel)DataContext).OnWindowClosing;
        }
    }
}
